'use strict'
let devs = {
    TITLE: '本地环境',
    BASE_URL: "http://43.138.50.94:9600/", //本地环境
    BASE_API: "http://43.138.50.94:8880/api",//工作流本地环境
    EXCEL_URL: "http://43.138.50.94:7777", //本地excel路径
    provincialWorkOrderAreafresourceId: 'a682dc9f-2fea-11ed-a6ed-02427ba2d388',//通用工单地市
    provincialWorkOrderfresourceId: '08368848-2fde-11ed-a6ed-02427ba2d388',//通用工单省
    riskMaterialsfresourceId: 'c9104902-6575-11ed-8e1e-d6cd97160e00',//风险防控
    accountApplicationfresourceId: 'b3e6cc47-b1a9-11ed-886f-d6cd97160e00',//账号申请流程
    accountdelfresourceId: '6a5fc7b5-b290-11ed-886f-d6cd97160e00',//账号删除
    accountPermissionsfresourceId: '14c60ff0-b1a8-11ed-886f-d6cd97160e00',//账号权限申请流程
    aqbgsyListfresourceId: '014cf465-b31c-11ed-886f-d6cd97160e00',//安全报告审阅
    klhfsqList: '4a9e20e8-b33c-11ed-886f-d6cd97160e00',//口令恢复申请流程
    rltzjlList: '7395620f-b33d-11ed-886f-d6cd97160e00',//容量调整记录流程
    sjkdbList: '78e1edce-b319-11ed-886f-d6cd97160e00',//数据库导表流程
    tyshList: '345a2955-b321-11ed-886f-d6cd97160e00',//通用审核流程
    userList: '65791a1e-b1ac-11ed-886f-d6cd97160e00',//用户清单流程
    internetAssessment: '87753452-c2f3-11ed-9c8b-d6cd97160e00',//互联网电视
}
let dev = {
    TITLE: '本地环境',
    BASE_URL: "http://127.0.0.1:8080", //本地环境
    BASE_API: "http://43.138.50.94:8880/api",//工作流本地环境
    EXCEL_URL: "http://43.138.50.94:7777", //本地excel路径
    provincialWorkOrderAreafresourceId: 'a682dc9f-2fea-11ed-a6ed-02427ba2d388',//通用工单地市
    provincialWorkOrderfresourceId: '08368848-2fde-11ed-a6ed-02427ba2d388',//通用工单省
    riskMaterialsfresourceId: 'c9104902-6575-11ed-8e1e-d6cd97160e00',//风险防控
    accountApplicationfresourceId: 'b3e6cc47-b1a9-11ed-886f-d6cd97160e00',//账号申请流程
    accountdelfresourceId: '6a5fc7b5-b290-11ed-886f-d6cd97160e00',//账号删除
    accountPermissionsfresourceId: '14c60ff0-b1a8-11ed-886f-d6cd97160e00',//账号权限申请流程
    aqbgsyListfresourceId: '014cf465-b31c-11ed-886f-d6cd97160e00',//安全报告审阅
    klhfsqList: '4a9e20e8-b33c-11ed-886f-d6cd97160e00',//口令恢复申请流程
    rltzjlList: '7395620f-b33d-11ed-886f-d6cd97160e00',//容量调整记录流程
    sjkdbList: '78e1edce-b319-11ed-886f-d6cd97160e00',//数据库导表流程
    tyshList: '345a2955-b321-11ed-886f-d6cd97160e00',//通用审核流程
    userList: '65791a1e-b1ac-11ed-886f-d6cd97160e00',//用户清单流程
    internetAssessment: '87753452-c2f3-11ed-9c8b-d6cd97160e00',//互联网电视
}
let test = {
    TITLE: '测试环境',
    BASE_URL: "http://10.149.85.91:8000/spfm", //测试环境
    BASE_API: "http://10.149.85.91:8000/api",//工作流测试环境
    EXCEL_URL: "http://10.149.85.91:7777", //测试excel路径
    provincialWorkOrderAreafresourceId: '33b0af93-b1ce-11ed-be6b-00505687dcd3',//通用工单地市
    provincialWorkOrderfresourceId: '4fdbb96e-8bfd-11ed-8988-00505687dcd3',//通用工单省
    riskMaterialsfresourceId: '3124a2d4-7209-11ed-8d6f-00505687dcd3',//风险防控
    accountApplicationfresourceId: '9acf34bf-b24d-11ed-be6b-00505687dcd3',//账号申请流程
    accountdelfresourceId: 'e907b062-b33f-11ed-be6b-00505687dcd3',//账号删除
    accountPermissionsfresourceId: '2b9e648d-b24d-11ed-be6b-00505687dcd3',//账号权限申请流程
    aqbgsyListfresourceId: 'bc3402ee-b33f-11ed-be6b-00505687dcd3',//安全报告审阅
    klhfsqList: 'd4101040-b33e-11ed-be6b-00505687dcd3',//口令恢复申请流程
    rltzjlList: 'b9283efe-b33e-11ed-be6b-00505687dcd3',//容量调整记录流程
    sjkdbList: 'd36c60c0-b33f-11ed-be6b-00505687dcd3',//数据库导表流程
    tyshList: '4a4153db-b33f-11ed-be6b-00505687dcd3',//通用审核流程
    userList: '4edefb21-b24f-11ed-be6b-00505687dcd3',//用户清单流程
    internetAssessment: 'd4092f5e-c49b-11ed-a8d3-00505687dcd3',//互联网电视

}
let prod = {
    TITLE: '线上环境',
    BASE_URL: "http://10.230.26.15:8000/mkt", //线上环境
    BASE_API: "http://10.230.26.15:8000/api",//工作流线上环境
    EXCEL_URL: "http://10.230.26.15:7777", //线上excel路径
    provincialWorkOrderAreafresourceId: 'db26384e-b984-11ed-afb6-e00084564cce',//通用工单地市
    provincialWorkOrderfresourceId: '9b83efc7-b984-11ed-afb6-e00084564cce',//通用工单省
    riskMaterialsfresourceId: 'canvas',//风险防控
    internetAssessment: 'canvas',//互联网电视
}
export const getConfig = () => {
    switch (process.env.VUE_APP_ENV) {
        case "development":
            window.sessionStorage.setItem('getConfig', JSON.stringify(dev))
            return dev;
        case 'test':
            window.sessionStorage.setItem('getConfig', JSON.stringify(test))
            return test;
        case 'production':
            window.sessionStorage.setItem('getConfig', JSON.stringify(prod))
            return prod
        case 'devs':
            window.sessionStorage.setItem('getConfig', JSON.stringify(devs))
            return devs;
    }
}
export default getConfig;

// 根据环境引入不同配置 process.env.ENV_CONFIG  ex:dev.conf.js

// module.exports = config